Name:           harris
Version:        0.4.1
Release:        %mkrel 1
Summary:        A strategy game based around the actions of RAF Bomber Command during WW2
Group:          Games/Strategy
License:        GPLv3+
URL:            https://github.com/ec429/harris
Source0:        https://github.com/ec429/harris/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         harris-0.4.1-mga-nowerror.patch
Patch1:         harris-0.4.1-mga-python3.patch

BuildRequires:  atg-devel
BuildRequires:  imagemagick
BuildRequires:  libtool
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  python3

%description
Harris is a strategy game based around the actions of RAF Bomber Command
in the Second World War. In Harris, you take on the role of the
Commander-in-Chief of Bomber Command, tasked with launching bombing raids
against Nazi Germany. It is your responsibility to take the war to the enemy
and destroy their capacity and will to wage war.

%prep
%setup -q
2to3 --write --nobackups --no-diffs .
sed -i -e '1s/python2/python3/' *py stats/*py
%autopatch -p1

%build
%set_build_flags
%make_build PREFIX=%{_prefix}

%install
%make_install PREFIX=%{_prefix}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps
convert art/icon.bmp %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Harris
Comment=Second World War strategy game
Exec=%{_gamesbindir}/harris
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%files
%doc HOWTOPLAY README STRATEGY
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png


%changelog
* Wed Mar 25 2020 danf <danf> 0.4.1-1.mga8
+ Revision: 1559594
- Updated to 0.4.1
- Created a desktop menu entry
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Dec 28 2018 luigiwalser <luigiwalser> 0.3.0-0.20160830.4.mga7
+ Revision: 1345722
- rebuild for SDL_gfx

* Tue Sep 25 2018 daviddavid <daviddavid> 0.3.0-0.20160830.3.mga7
+ Revision: 1305042
- disable -Werror=format-truncation flags to fix FTBFS
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 cjw <cjw> 0.3.0-0.20160830.2.mga7
+ Revision: 1165010
- fix build with gcc 7

* Sat Oct 29 2016 akien <akien> 0.3.0-0.20160830.1.mga6
+ Revision: 1063977
- Snapshot of upcoming 0.3.0

* Tue Oct 11 2016 daviddavid <daviddavid> 0.2.4-3.mga6
+ Revision: 1060157
- rebuild for new libatg 3.0.0

* Mon Feb 08 2016 umeabot <umeabot> 0.2.4-2.mga6
+ Revision: 950449
- Mageia 6 Mass Rebuild

* Sun Oct 26 2014 akien <akien> 0.2.4-1.mga5
+ Revision: 793551
- Version 0.2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-3.mga5
+ Revision: 740550
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-2.mga5
+ Revision: 680084
- Mageia 5 Mass Rebuild

* Sun Jul 20 2014 akien <akien> 0.2.2-1.mga5
+ Revision: 654871
- imported package harris

